<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                        http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">

    <changeSet id="createTable_Countries" author="ppp">
        <createTable tableName="COUNTRIES" schemaName="travelagency">
            <column name="ID" type="bigint" autoIncrement="true" startWith="1" incrementBy="1">
                <constraints nullable="false" primaryKey="true"/>
            </column>
            <column name="NAME" type="varchar(32)">
                <constraints nullable="false"/>
            </column>
            <column name="CONTINENT_ID" type="bigint"/>
        </createTable>
        <addForeignKeyConstraint
                baseTableSchemaName="travelagency"
                baseColumnNames="CONTINENT_ID"
                baseTableName="COUNTRIES"
                constraintName="COUNTRY_TO_CONTINENT"
                referencedTableSchemaName="travelagency"
                referencedColumnNames="ID"
                referencedTableName="CONTINENTS"/>
    </changeSet>

</databaseChangeLog>
